// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics-dtos.proto

package com.accelfin.server.demo.analytics.dtos;

public interface FxAlertsReportSymbolPriceDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time = 1;</code>
   */
  boolean hasTime();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time = 1;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getTime();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto time = 1;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimeOrBuilder();

  /**
   * <code>optional string symbol = 2;</code>
   */
  java.lang.String getSymbol();
  /**
   * <code>optional string symbol = 2;</code>
   */
  com.google.protobuf.ByteString
      getSymbolBytes();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto bid = 3;</code>
   */
  boolean hasBid();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto bid = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getBid();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto bid = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getBidOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto ask = 4;</code>
   */
  boolean hasAsk();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto ask = 4;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getAsk();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto ask = 4;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getAskOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto mid = 5;</code>
   */
  boolean hasMid();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto mid = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getMid();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto mid = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getMidOrBuilder();
}
